%{?nodejs_find_provides_and_requires}

%global packagename lru-queue
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-lru-queue
Version:	0.1.0
Release:	%mkrel 5
Summary:	LRU Queue
Group:          Development/Other

License:	MIT
URL:		https://github.com/medikoo/lru-queue.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
LRU Queue


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENCE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed May 06 2020 joequant <joequant> 0.1.0-5.mga8
+ Revision: 1580693
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1492608
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1265019
- Mageia 7 Mass Rebuild

* Thu May 19 2016 neoclust <neoclust> 0.1.0-2.mga6
+ Revision: 1016839
- imported package nodejs-lru-queue

